Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class OperationMode

    java.lang.Object
      |
      +--org.omg.CORBA.OperationMode

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class OperationMode
extends java.lang.Object
implements IDLEntity

This enumeration describes an operation mode which can be "normal" or "oneway".

See Also:
  Serialized Form

Field Summary
`static int` | `_OP_NORMAL` Enum member OP_NORMAL value
`static int` | `_OP_ONEWAY` Enum member OP_ONEWAY value
`static OperationMode` | `OP_NORMAL` Enum member OP_NORMAL
`static OperationMode` | `OP_ONEWAY` Enum member OP_ONEWAY

Method Summary
`static OperationMode` | `from_int(int value)` Return a enum member from its value
`java.lang.Object` | `readResolve()` Maintains singleton property for serialized enums.
`java.lang.String` | `toString()` Return a string representation
`int` | `value()` Return the internal member value

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _OP_NORMAL

    public static final int _OP_NORMAL

  Enum member OP_NORMAL value

### OP_NORMAL

    public static final OperationMode OP_NORMAL

  Enum member OP_NORMAL

### _OP_ONEWAY

    public static final int _OP_ONEWAY

  Enum member OP_ONEWAY value

### OP_ONEWAY

    public static final OperationMode OP_ONEWAY

  Enum member OP_ONEWAY

Method Detail

### readResolve

    public java.lang.Object readResolve()
                                 throws java.io.ObjectStreamException

  Maintains singleton property for serialized enums. Issue 4271: IDL/Java issue, Mapping for IDL enum.

### value

    public int value()

  Return the internal member value
  Returns:
    the member value

### from_int

    public static OperationMode from_int(int value)

  Return a enum member from its value
  Parameters:
    `an` - enum value
  Returns:
    an enum member

### toString

    public java.lang.String toString()

  Return a string representation
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representation of the enumeration

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD